summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilipp Claßen2018-05-02 00:44:49 +0200
committerPhilipp Claßen2018-05-02 00:45:38 +0200
commit544657303c566e8adf1409305db422424d2c08d5 (patch)
tree3a22451dbb91f356c48eba07abd57512b646d20d
parente0dc475a9513981f8beef3ddd427f441f1d0503c (diff)
downloadaur-544657303c566e8adf1409305db422424d2c08d5.tar.gz
Upgraded _pkgver_base from 8.0.1 to 9.0.0
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD12
2 files changed, 13 insertions, 21 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ec87152fae7..74a9b4a0485 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Sun Jan 21 23:03:46 UTC 2018
+# Tue May 1 22:45:13 UTC 2018
pkgbase = gcc-multilib-trunk-git
pkgdesc = The GNU Compiler Collection developmental snapshot
- pkgver = 8.0.1.r159589.5839d47d0d6
+ pkgver = 9.0.0.r161402.d7ecaff761c
pkgrel = 1
url = http://gcc.gnu.org
arch = any
@@ -24,11 +24,11 @@ pkgname = gcc-multilib-git
pkgdesc = The GNU Compiler Collection - C and C++ frontends for multilib
install = gcc.install
groups = multilib-devel
- depends = gcc-libs-multilib-git=8.0.1.r159589.5839d47d0d6-1
+ depends = gcc-libs-multilib-git=9.0.0.r161402.d7ecaff761c-1
depends = binutils>=2.25
depends = libmpc
- provides = gcc=8.0.1.r159589.5839d47d0d6-1
- provides = gcc-multilib=8.0.1.r159589.5839d47d0d6-1
+ provides = gcc=9.0.0.r161402.d7ecaff761c-1
+ provides = gcc-multilib=9.0.0.r161402.d7ecaff761c-1
conflicts = gcc
options = staticlibs
@@ -36,9 +36,9 @@ pkgname = gcc-libs-multilib-git
pkgdesc = Runtime libraries shipped by GCC for multilib
install = gcc-libs.install
depends = glibc>=2.20
- depends = lib32-gcc-libs-git=8.0.1.r159589.5839d47d0d6-1
- provides = gcc-libs=8.0.1.r159589.5839d47d0d6-1
- provides = gcc-libs-multilib=8.0.1.r159589.5839d47d0d6-1
+ depends = lib32-gcc-libs-git=9.0.0.r161402.d7ecaff761c-1
+ provides = gcc-libs=9.0.0.r161402.d7ecaff761c-1
+ provides = gcc-libs-multilib=9.0.0.r161402.d7ecaff761c-1
conflicts = gcc-libs
options = !emptydirs
options = !strip
@@ -46,14 +46,14 @@ pkgname = gcc-libs-multilib-git
pkgname = lib32-gcc-libs-git
pkgdesc = Runtime libraries shipped by GCC (32-bit)
depends = lib32-glibc>=2.20
- provides = lib32-gcc-libs=8.0.1.r159589.5839d47d0d6-1
+ provides = lib32-gcc-libs=9.0.0.r161402.d7ecaff761c-1
conflicts = lib32-gcc-libs
options = !emptydirs
options = !strip
pkgname = gcc-objc-multilib-git
pkgdesc = Objective-C front-end for GCC for multilib
- depends = gcc-multilib-git=8.0.1.r159589.5839d47d0d6-1
- provides = gcc-objc=8.0.1.r159589.5839d47d0d6-1
+ depends = gcc-multilib-git=9.0.0.r161402.d7ecaff761c-1
+ provides = gcc-objc=9.0.0.r161402.d7ecaff761c-1
conflicts = gcc-objc
diff --git a/PKGBUILD b/PKGBUILD
index 34c4cdddbcc..3b8a05b3297 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,17 +1,9 @@
# Maintainer: Philipp Claßen <philipp.classen@posteo.de>
-#
-# Concerning the _pkgver_base HACK (copied from gcc-git AUR):
-#
-# * _pkgver_base is hard coded at the moment to 6.0.0; can't parse from source
-# * git source is downloaded just before pkgver(), so source doesn't exist to be parsed when globals (incl_pkgver_base) are currently set
-# * can't set it to an empty string and silently re-set it at the beginning of pkgver(), because the new value of _pkgver_base is only within the scope of pkgver()
-# * would have to re-set it at the beginning of every function that uses it, which is messy and error-prone
-# * to-do: could test in pkgver() or prepare() if _pkgver_base is different than gcc/BASE-VER and error
pkgbase="gcc-multilib-trunk-git"
pkgname=('gcc-multilib-git' 'gcc-libs-multilib-git' 'lib32-gcc-libs-git' 'gcc-objc-multilib-git')
-pkgver=8.0.1.r159589.5839d47d0d6
-_pkgver_base=8.0.1
+pkgver=9.0.0.r161402.d7ecaff761c
+_pkgver_base=9.0.0
pkgrel=1
pkgdesc="The GNU Compiler Collection developmental snapshot"
arch=('any')